<script setup>
import {reactive, ref} from "vue";
import InputTag from "@/components/tags/InputTag.vue";
import ButtonTag from "@/components/tags/ButtonTag.vue";
import {useAddCategory} from "@/stores/models/category/createCategory";
import {useFetchCategorys} from "@/stores/models/category/getCategory";

let isLoading = ref(false)
let category = reactive({
    name: ''
})

function create() {
    isLoading = true
    useAddCategory().createCategory(category)
        .then(() => {
            isLoading = false
            useFetchCategorys().fetchCategorys()
        })
}
</script>

<template>
   <div class="row" style="min-height: 70vh">
        <div class="col-12 col-md-6">
            <h3 class="text-center mb-3">Katigo'riya o'qish</h3>
            <InputTag v-model="category.name" id="name" label-name="Katigoriya nomi"/>
            <ButtonTag @click="create" :loading="isLoading" text="Yaratish" class="btn-primary"/>
        </div>

    </div>
</template>

<style scoped>

</style>